#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	HTTP
%define		pnam	Message
Summary:	HTTP::Message - HTTP style message
Summary(pl.UTF-8):	HTTP::Message - komunikacja w stylu HTTP
Name:		perl-HTTP-Message
Version:	6.35
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/HTTP/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	33110b9295a2e9daae675b4f7d22c08f
URL:		https://metacpan.org/release/HTTP-Message
BuildRequires:	perl-devel >= 1:5.8.8
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl-Encode >= 3.01
BuildRequires:	perl-Encode-Locale >= 1
BuildRequires:	perl-HTML-Parser >= 3.33
BuildRequires:	perl-HTTP-Date >= 6
BuildRequires:	perl-IO-Compress >= 2.021
BuildRequires:	perl-IO-HTML
BuildRequires:	perl-LWP-MediaTypes >= 6
BuildRequires:	perl-MIME-Base64 >= 2.1
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-Try-Tiny
BuildRequires:	perl-URI >= 1.10
%endif
Requires:	perl-Encode >= 3.01
Requires:	perl-Encode-Locale >= 1
Requires:	perl-HTTP-Date >= 6
Requires:	perl-IO-HTML
Requires:	perl-MIME-Base64 >= 2.1
Requires:	perl-URI >= 1.10
Requires:	perl-LWP-MediaTypes >= 6
Conflicts:	perl-libwww < 6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HTTP-Message distribution contains classes useful for representing
the messages passed in HTTP style communication. These are classes
representing requests (HTTP::Request), responses (HTTP::Response) and
the headers (HTTP::Headers) contained within them.

%description -l pl.UTF-8
Pakiet HTML-Message zawiera klasy do reprezentacji komunikatów
przekazywanych w komunikacji w stylu HTTP. Zawiera klasy
reprezentujące żądania (HTTP::Request), odpowiedzi (HTTP::Response) i
nagłówki (HTTP::Headers).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS Changes
%{perl_vendorlib}/HTTP/Config.pm
%{perl_vendorlib}/HTTP/Headers.pm
%{perl_vendorlib}/HTTP/Headers
%{perl_vendorlib}/HTTP/Message.pm
%{perl_vendorlib}/HTTP/Request.pm
%{perl_vendorlib}/HTTP/Request
%{perl_vendorlib}/HTTP/Response.pm
%{perl_vendorlib}/HTTP/Status.pm
%{_mandir}/man3/HTTP::Config.3pm*
%{_mandir}/man3/HTTP::Headers*.3pm*
%{_mandir}/man3/HTTP::Message.3pm*
%{_mandir}/man3/HTTP::Request*.3pm*
%{_mandir}/man3/HTTP::Response.3pm*
%{_mandir}/man3/HTTP::Status.3pm*
%changelog
* Fri Nov 12 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTTP-Message.git;a=log;h=master

* Fri Nov 12 2021 Jan Palus <atler@pld-linux.org> 1e79c95
- up to 6.35

* Fri Nov 12 2021 Jan Palus <atler@pld-linux.org> 61e120c
- up to 6.34

* Tue Jun 29 2021 Jan Palus <atler@pld-linux.org> 6af21b9
- up to 6.33

* Thu May 20 2021 Jan Palus <atler@pld-linux.org> c372528
- up to 6.32

* Fri May 14 2021 Jan Palus <atler@pld-linux.org> c154ff9
- up to 6.31

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 051843c
- up to 6.30

* Sun Mar 07 2021 Jan Palus <atler@pld-linux.org> 095b9b6
- up to 6.29

* Tue Feb 23 2021 Jan Palus <atler@pld-linux.org> c2bc818
- updated source to https

* Tue Feb 23 2021 Jan Palus <atler@pld-linux.org> b245d28
- up to 6.28

* Wed Jan 06 2021 Jan Palus <atler@pld-linux.org> 08b97ab
- up to 6.27

* Thu Oct 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 6b5471c
- macros version to ensure perl macros are loaded, dropped README.md (copy of man page)

* Sun Oct 04 2020 Jan Palus <atler@pld-linux.org> dab682e
- up to 6.26

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b8be184
- drop obsolete and outdated manual inclusion of rpm macros

* Mon Oct 01 2018 Jakub Bogusz <qboosh@pld-linux.org> e79a222
- updated to 6.18

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 5fcd748
- R perl-IO-HTML
- rel 2

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> a8d575f
- updated to 6.06

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4d3736c
- release 2 (by relup.sh)

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 0a5990d
- updated to 6.03

* Thu Mar 24 2011 Jakub Bogusz <qboosh@pld-linux.org> 6bc2046
- updated to 6.02

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> f63c14d
- common description for all classes (not just HTTP::Message)
- versioned Requires

